Difference between revisions of "Draft ShapeString/it"

From FreeCAD Documentation
Jump to: navigation, search
Line 43: Line 43:
 
== Proprietà ==
 
== Proprietà ==
  
<div class="mw-translate-fuzzy">
+
* {{PropertyData|Position}}: specifica la posizione del punto base della forma composta.
==== Vista ====
+
* {{PropertyData|Angle}}: specifica la rotazione della linea di base della forma.
Sono disponibili le [[DraftStandardProperty/it|Proprietà standard]] di visualizzazione.
+
* {{PropertyData|Axis}}: specifica l'asse da utilizzare per la rotazione.
==== Dati ====
+
* {{PropertyData|String}}: specifica la stringa di testo da visualizzare; a differenza dello strumento [[Draft Text/it|Testo]], [[Draft ShapeString/it|Forma da testo]] può visualizzare solo una singola riga.
{|
+
* {{PropertyData|Size}}: specifica l'altezza generale delle lettere.
| [[File:DraftShapeStringProperty_it.png|left]]
+
* {{PropertyData|Tracking}}: specifica la spaziatura inter-carattere aggiuntiva nella stringa.
|
+
* {{PropertyData|Font File}}: specifica il percorso completo del file di font utilizzato per disegnare la stringa.
{{KEY/it|2D}}
 
{{KEY/it|Base}}
 
* {{ProprietaDati|Label}}: nome
 
* {{ProprietaDati|Placement}}: [[Placement/it|posizionamento]] del punto base della forma costruita
 
{{KEY/it|Draft}}
 
* {{ProprietaDati|Font File}}: Il tipo di carattere utilizzato per disegnare la stringa di testo
 
* {{ProprietaDati|Size}}: L'altezza dei caratteri in unità FC
 
* {{ProprietaDati|String}}: Il contenuto della stringa di testo
 
* {{ProprietaDati|Tracking}}: La spaziatura tra i caratteri in unità FC
 
|}
 
{{clear}}
 
</div>
 
  
 
== Script ==
 
== Script ==

Revision as of 12:40, 25 April 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Point.svg Punto Pagina precedente:
Pagina successiva: Lega facce Draft Facebinder.svg Arrow-right.svg

Draft ShapeString.svg ShapeString

Posizione nel menu
Draft → Forma da testo...
Ambiente
Draft, Arch
Avvio veloce
S S
Introdotto nella versione
0.14
Vedere anche
Testo Draft, Part Estrusione


Descrizione

Lo strumento ShapeString inserisce una forma composta che riproduce una stringa di testo in un dato punto del documento corrente. Si possono definire gli attributi del testo quali altezza, tipo di carattere, ecc.. La forma risultante può essere utilizzata con lo strumento Estrusione di Part per creare lettere 3D.

Per inserire un elemento di testo più semplice senza una forma chiusa, utilizzare Testo. Per creare un'etichetta di testo con una linea guida e una freccia usare Etichetta.

Draft ShapeString Example400.png

Per posizionare una Shapestring basta un singolo punto


Utilizzo

  1. Premere il pulsante Draft ShapeString16.png Forma da testo... , o premere i tasti S e poi S.
  2. Selezionare un punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Immettere il testo desiderato e premere Invio.
  4. Immettere la dimensione desiderata e premere Invio.
  5. Immettere il percorso desiderato e premere Invio.
  6. Premere Invio per accettare il file di font visualizzato, o premere ... per selezionare un file di font.

SSFontSelect.png

Il testo, le dimensioni, il percorso e il carattere possono essere modificati dopo la creazione, modificando le proprietà della forma.

Impostare il file di font predefinito nelle Preferenze di Draft, nella scheda Testi e quotature. I tipi di carattere supportati includono TrueType (.ttf), OpenType (.otf), e Type 1 (.pfb).

Limitazioni

  • Altezze di testo molto ridotte possono causare deformazioni delle forme del carattere a causa della perdita di dettagli nel ridimensionamento.
  • La versione corrente mostra solo un testo scritto in orizzontale da sinistra a destra.
  • Per creare un testo curvo è possibile utilizzare la macro FCCircularTextButtom.png Testo circolare.

Opzioni

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z.. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

  • DATAPosition: specifica la posizione del punto base della forma composta.
  • DATAAngle: specifica la rotazione della linea di base della forma.
  • DATAAxis: specifica l'asse da utilizzare per la rotazione.
  • DATAString: specifica la stringa di testo da visualizzare; a differenza dello strumento Testo, Forma da testo può visualizzare solo una singola riga.
  • DATASize: specifica l'altezza generale delle lettere.
  • DATATracking: specifica la spaziatura inter-carattere aggiuntiva nella stringa.
  • DATAFont File: specifica il percorso completo del file di font utilizzato per disegnare la stringa.

Script

Vedere anche: API Draft e Nozioni di base sugli script di FreeCAD.

Lo strumento ShapeString può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
  • Trasforma una Stringa di testo in una ShapeString utilizzando un font specificato.
  • FontFile è obbligatorio e deve essere il percorso completo di un file di font supportato
  • Size è l'altezza del testo risultante in millimetri
  • Tracking è la spaziatura aggiuntiva tra i caratteri in millimetri

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Esempio:

import FreeCAD, Draft

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(-1000, 500, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = FreeCAD.Vector(0, -1000, 0)
S3.Placement.Rotation = FreeCAD.Rotation(ZAxis, 180)

Tutorial

Arrow-left.svg Draft Point.svg Punto Pagina precedente:
Pagina successiva: Lega facce Draft Facebinder.svg Arrow-right.svg